Package docking.wizard

# Interface PanelManager

All Known Implementing Classes:
  `AbstractMagePanelManager`

public interface PanelManager
Interface to define methods that control what panel is displayed in a wizard.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Method called when the user wants to cancel the process.
  `boolean`
  `canFinish()`
  Return true if the "finish" step can be completed.
  `void`
  `finish()`
  Method called when the user wants to finish the process.
  `WizardPanel`
  `getInitialPanel()`
  Get the first panel in the process.
  `WizardPanel`
  `getNextPanel()`
  Get the next panel in the process.
  `Dimension`
  `getPanelSize()`
  Get the size of the panels.
  `WizardPanel`
  `getPreviousPanel()`
  Get the previous panel in the process.
  `String`
  `getStatusMessage()`
  Get the status message for the current panel.
  `WizardManager`
  `getWizardManager()`
  Get the wizard manager.
  `boolean`
  `hasNextPanel()`
  Return true if there is a "next" panel.
  `boolean`
  `hasPreviousPanel()`
  Return true if there is a "previous" panel.
  `void`
  `initialize()`
  Set up the panel process.
  `void`
  `setWizardManager(WizardManager wm)`
  Set the wizard manager for this panel manager.

- ## Method Details

  - ### canFinish

    boolean canFinish()
    Return true if the "finish" step can be completed.
    Returns:
      boolean true if ok to finish

  - ### hasNextPanel

    boolean hasNextPanel()
    Return true if there is a "next" panel.
    Returns:
      boolean true means there is a next panel to display

  - ### hasPreviousPanel

    boolean hasPreviousPanel()
    Return true if there is a "previous" panel.
    Returns:
      boolean true means there is a previous panel to display

  - ### getNextPanel

    WizardPanel getNextPanel() throws IllegalPanelStateException
    Get the next panel in the process.
    Returns:
      WizardPanel the next panel
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### getInitialPanel

    WizardPanel getInitialPanel() throws IllegalPanelStateException
    Get the first panel in the process.
    Returns:
      WizardPanel the first panel
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### getPreviousPanel

    WizardPanel getPreviousPanel() throws IllegalPanelStateException
    Get the previous panel in the process.
    Returns:
      WizardPanel the previous panel
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### getStatusMessage

    String getStatusMessage()
    Get the status message for the current panel.
    Returns:
      String message to display; may be null if there is no message that should be displayed

  - ### finish

    void finish() throws IllegalPanelStateException
    Method called when the user wants to finish the process.
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### cancel

    void cancel()
    Method called when the user wants to cancel the process.

  - ### initialize

    void initialize()
    Set up the panel process. This may also be called to clear the state of an existing panel, such as when the overall wizard is finished.

  - ### getPanelSize

    Dimension getPanelSize()
    Get the size of the panels.
    Returns:
      Dimension size of the panel

  - ### setWizardManager

    void setWizardManager(WizardManager wm)
    Set the wizard manager for this panel manager.
    Parameters:
      `wm` - wizard manager that calls the methods on this panel manager

  - ### getWizardManager

    WizardManager getWizardManager()
    Get the wizard manager.
    Returns:
      WizardManager wizard manager for this panel manager